{% extends 'homepage/base.html' %} {% block content %}

<!-- Translations -->
{% load i18n %}

<div class="row">
  <div class="col-md-2 mx-2 my-2">
    <h2>{% trans "Provider" %}</h2>
  </div>
</div>

<form id="update-provider-form" method="POST" action="." role="form">
  {% csrf_token %} 
  {{ form_provider.non_field_errors }}
  {{ form_working_plan.non_field_errors }}
  {{ form_break.non_field_errors }}
  <div class="col-12 col-md-9 col-xl-8 py-md-3 pl-md-5" id="add-provider-div">
    <div class="form-row" id="error-provider-name">
      <div class="form-group col-md-6">
        <span class="text-danger small">{{ form_provider.last_name.errors }}</span>
      </div>
      <div class="form-group col-md-6">
        <span class="text-danger small">{{ form_provider.first_name.errors }}</span>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="{{ form_provider.first_name.id_for_label }}">{% trans "Last name" %}</label>
        {{ form_provider.first_name }} {% if form_provider.first_name.help_text %}
        <p class="help">{{ form_provider.first_name.help_text|safe }}</p>
        {% endif %}
      </div>
      
      <div class="form-group col-md-6">
        <label for="{{ form_provider.last_name.id_for_label }}">{% trans "First name" %}</label>
        {{ form_provider.last_name }} {% if form_provider.last_name.help_text %}
        <p class="help">{{ form_provider.last_name.help_text|safe }}</p>
        {% endif %}
      </div>
    </div>

    <div class="form-row" id="error-services">
      <div class="form-group col-md-12">
        <span class="text-danger small">{{ form_provider.services.errors }}</span>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group">
        <label for="{{ form_provider.services.id_for_label }}">{% trans "Services" %}</label>
        {{ form_provider.services }} {% if form_provider.services.help_text %}
        <p class="help">{{ form_provider.services.help_text|safe }}</p>
        {% endif %}
      </div>
    </div>

  </div>

  <div class="row">
    <div class="col-md-6 mx-2 my-2">
      <h4>{% trans "Working plan" %}</h4>
    </div>
  </div>

  <div class="col-12 col-md-9 col-xl-8 py-md-3 pl-md-5" id="workplan-div">
    <table class="table">
      <thead>
        <tr>
          <th scope="col">{% trans "Day" %}</th>
          <th scope="col">{% trans "Begin" %}</th>
          <th scope="col">{% trans "End" %}</th>
        </tr>
      </thead>
      <tbody>
        {% for field in form_working_plan %} {% if forloop.counter0 is 0 %}
        <tr>
          <th scope="row">{{ days.0 }}</th>
          {% elif forloop.counter0 is 2 %}
          <tr>
            <th scope="row">{{ days.1 }}</th>
            {% elif forloop.counter0 is 4 %}
            <tr>
              <th scope="row">{{ days.2 }}</th>
              {% elif forloop.counter0 is 6 %}
              <tr>
                <th scope="row">{{ days.3 }}</th>
                {% elif forloop.counter0 is 8 %}
                <tr>
                  <th scope="row">{{ days.4 }}</th>
                  {% elif forloop.counter0 is 10 %}
                  <tr>
                    <th scope="row">{{ days.5 }}</th>
                    {% elif forloop.counter0 is 12 %}
                    <tr>
                      <th scope="row">{{ days.6 }}</th>
                      {% endif %} {% if forloop.counter0|divisibleby:"2" %}
                      <td>
                        <span class="text-danger small">{{ field.errors }}</span>{{ field }} {% if field.help_text %}
                        <p class="help">{{ field.help_text|safe }}</p>
                        {% endif %}</td>
                      {% endif %} {% if not forloop.counter0|divisibleby:"2" %}
                      <td>
                        <span class="text-danger small">{{ field.errors }}</span>{{ field }} {% if field.help_text %}
                        <p class="help">{{ field.help_text|safe }}</p>
                        {% endif %}</td>
                    </tr>
                    {% endif %} {% endfor %}
      </tbody>
    </table>

    <div class="row">
      <div class="m-3">
        <button class="btn btn-warning" id="provider-back" value="{% url 'providers:providers' %}">{% trans "Back" %}</button>
      </div>
      <div class="m-3">
        <button id="complete-submit" class="btn btn-success" style="width:100px" type="submit">OK</button>
      </div>
    </div>
  </div>
</form>

<div class="col-12 col-md-9 col-xl-8 py-md-3 pl-md-5" id="break-end">
  <div class="row">
    <div col-sm-12>
      <!-- Button trigger modal -->
      <button id="add-break" type="button" class="btn btn-info mt-4 mb-4 mx-4" data-toggle="modal" data-target="#form-break">{% trans "Add break" %}</button>
    </div>
  </div>
  <!-- Modal -->
  <div class="modal fade" id="form-break" tabindex="-1" role="dialog" aria-labelledby="formModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="formModalLabel">{% trans "Break" %}</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form class="form-horizontal" id="add-break-form" method="POST" action="" role="form">
            {% csrf_token %}

            <div class="form-group">
              <div class="">
                <span class="text-danger small">{{ form_break.day.errors }}</span>
              </div>
              <label class="">{{ form_break.day.label_tag }}</label>
              <div class="">{{ form_break.day }}</div>
              {% if form_break.day.help_text %}
              <p class="help">{{ form_break.day.help_text|safe }}</p>
              {% endif %}
            </div>

            <div class="form-group">
              <div class="">
                <span class="text-danger small">{{ form_break.time_begin.errors }}</span>
              </div>
              <label class="">{{ form_break.time_begin.label_tag }}</label>
              <div class="">{{ form_break.time_begin }}</div>
              {% if form_break.time_begin.help_text %}
              <p class="help">{{ form_break.time_begin.help_text|safe }}</p>
              {% endif %}
            </div>

            <div id="break-start-time"></div>

            <div class="form-group">
              <div class="">
                <span class="text-danger small">{{ form_break.time_end.errors }}</span>
              </div>
              <label class="">{{ form_break.time_end.label_tag }}</label>
              <div class="">{{ form_break.time_end }}</div>
              {% if form_break.time_end.help_text %}
              <p class="help">{{ form_break.time_end.help_text|safe }}</p>
              {% endif %}
            </div>

            <div id="break-end-time"></div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary">OK</button>
        </div>
        </form>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-6 mx-2 my-2">
      <h4>{% trans "Breaks" %}</h4>
    </div>
  </div>
  {% if breaks %}
  <ul class="list-group">
    {% for break in breaks %}
    <li class="list-group-item">{{ break }}
      <a class="mx-2" href="{% url 'providers:break-delete' break.pk %}">
        <i class="far fa-trash-alt fa-fw" id="trash-img"></i>
      </a>
    </li>
    {% endfor %}
  </ul>
  {% endif%}
</div>
{% endblock %}